Subject: Re: pthreads in YahooPOPs
From: egor duda <[email-masked]>
To: Andrew Lynch <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Oct 2002 11:43:21 +0400

Hi!

Sunday, 13 October, 2002 Andrew Lynch [email-masked] wrote:

AL> Hopefully, the author will see the issue and rewrite
AL> the code in a more portable manner.  Can you deduce
AL> what the YahooPOPs author is trying to do?  Would you
AL> suggest a more portable method I could look at?  I
AL> will likely be finding or writing a replacement for
AL> this code section and appreciate any tips.

>> AL> lock.__m_reserved = 0;
>> AL> lock.__m_count = 0;
>> AL> lock.__m_owner = 0;
>> AL> lock.__m_kind = PTHREAD_MUTEX_TIMED_NP;
>> AL> lock.__m_lock.__status = 0;
>> AL> lock.__m_lock.__spinlock = __LT_SPINLOCK_INIT;

It's hard to be sure from such short snippet, but it looks like they
should use pthread_mutex_init() function if they want to create a new
pthread mutex and initialize it.

Single Unix Specification (http://www.opengroup.org/onlinepubs/007908799/)
is a standard cygwin is trying to conform to. They have all needed
reference information online.

Additionally, would you please keep the answers on-list? I
deliberately set 'Reply-To:' to point to mailing list, because i read
it along with my personal e-mail, so i don't want to get duplicate
copies of one message.

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/